Get destination usage

Prev Next
Get
/teams/{team_id}/destinations/{destination_id}/usage

Get transfers using this destination.

Important Notes:

  • Requires scope dwh_transfers_read
  • Your account must have dwh.transfer.view permission. See roles and permissions.
Security
HTTP
Type bearer

Bearer token authentication. Include the token in the Authorization header: Authorization: Bearer <your-token>

Path parameters
team_id
integer (int64) Required

Unique identifier of the team

Minimum1
Maximum9223372036854776000
Example12345
destination_id
integer (int32) Required

Unique identifier for the destination

Minimum1
Maximum2147483647
Example8
Responses
200

Destination usage retrieved successfully

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
data
object
is_used
boolean

Whether the destination is currently being used by any transfers

Exampletrue
transfers
Array of object

List of transfers using this destination

Max items10000
object
transfer_id
integer (int32)

Transfer ID

Minimum1
Maximum2147483647
Example12345
transfer_name
string

Transfer display name

Max length255
ExampleGoogle Analytics to BigQuery
401

Unauthorized - Authentication is required and has failed or has not been provided.

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "019461A0-0000-7000-8000-000000000000"
  },
  "error": {
    "code": "API_KEY_INVALID",
    "message": "Invalid API key",
    "description": "Provided API key was invalid."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
403

Forbidden - The request is understood, but access is not allowed

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "01892A4D-7586-7000-8000-000000000000"
  },
  "error": {
    "code": "ACCESS_DENIED",
    "message": "Access Denied",
    "description": "You do not have permission to perform this operation."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
404

Destination not found

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "01892A4D-7586-7000-8000-000000000000"
  },
  "error": {
    "code": "NOT_FOUND",
    "message": "Not Found",
    "description": "The requested destination could not be found or you do not have access to it."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
429

Too Many Requests - Rate limit exceeded.

Headers
Retry-After
integer
Number of seconds to wait before making another request
Minimum1
Maximum3600
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "019461A0-0000-7000-8000-000000000000"
  },
  "error": {
    "code": "API_ROW_QUOTA_EXCEEDED",
    "message": "Row quota exceeded",
    "description": "You have exceeded your row-quota limit of rows for this month. Please log into Supermetrics Hub at https://hub.supermetrics.com/ and upgrade your plan, or contact our Supermetrics support team."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
500

Internal Server Error - An error occurred on the server.

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "01892A4D-7586-7000-8000-000000000000"
  },
  "error": {
    "code": "INTERNAL_SERVER_ERROR",
    "message": "Internal Server Error",
    "description": "An unexpected error occurred. Please try again later or contact support."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255